Agoda

Agoda Hotel Data Scraper

Extract hotel, flight, and travel details using the Agoda Hotel Data Scraper API endpoint.

This endpoint allows you to scrape hotel availability, pricing, and room details from Agoda.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/hotels/agoda/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

rooms*integer

Number of rooms requested

checkIn*string

Check-in date in YYYY-MM-DD format

checkOut*string

Check-out date in YYYY-MM-DD format

adults*integer

Number of adults

children*integer

Number of children

currency*string

Currency code

locale*string

Locale code

hotelId*integer

Agoda hotel ID

login*integer

Login status flag (1 = logged in, 0 = guest)

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/hotels/agoda/sync" \  -H "Content-Type: application/json" \  -d '{    "rooms": 1,    "checkIn": "2025-12-05",    "checkOut": "2025-12-06",    "adults": 2,    "children": 0,    "currency": "IDR",    "locale": "en-ID",    "hotelId": 7575,    "login": 1  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "agoda_hotel_id": 7575,
    "checkin_date": "2025-12-05",
    "checkout_date": "2025-12-06",
    "number_of_rooms": 1,
    "number_of_guests": 2,
    "number_of_children": 0,
    "currency": "IDR",
    "locale": "en-ID",
    "login_status": "login",
    "country_code": "en",
    "hotel_information": {
      "hotel_name": "Bumi Surabaya City Resort",
      "star_rating": "5.0",
      "address": "JL. Jend Basuki Rahmat 106-128, Surabaya Center, Surabaya, East Java, Indonesia, 60271",
      "guest_rating": "9.2 Exceptional",
      "review_count": 6581,
      "hotel_image_url": "https://pix8.agoda.net/hotelImages/7575/0/b3ff40e06d41cd364740c4f1c48ca763.jpeg?ce=0&s=414x232&ar=16x9",
      "checkin_date": "2025-12-05",
      "length_of_stay": 1,
      "number_of_adults": 2,
      "number_of_children": 0
    },
    "room_inventory": [
      {
        "room_type_name": "Classic Room Twin",
        "maximum_occupancy": 2,
        "inclusion_of_breakfast": false,
        "refundable_status": false,
        "pricing_details": {
          "taxes": 80621,
          "fees": 88683,
          "discount": {
            "totalPercentDiscount": 34,
            "roomDiscounts": [
              {
                "type": 0,
                "message": "",
                "amount": 127450
              }
            ],
            "apsPeekDiscount": {
              "value": 0,
              "currency": {
                "id": 25,
                "code": "idr"
              }
            }
          },
          "coupon": {},
          "applied_discount": {
            "appliedDiscountBannerMessage": " applied",
            "totalDiscountBannerMessage": "IDR 127450 off",
            "totalDiscountJacketMessage": "Rp 127450 applied",
            "totalDiscountAmount": 127450,
            "breakdownsTitle": "Total rewards",
            "breakdownsSubtitle": "Already applied",
            "breakdowns": [
              {
                "title": "",
                "subtitle": "Gift from Agoda",
                "discountType": 1,
                "amount": 127450
              }
            ]
          },
          "rate_type": "PAY_NOW",
          "perBook": {
            "map": {},
            "chargeTotal": {
              "exclusive": 678756,
              "allInclusive": 848060
            },
            "rebateTotal": {
              "exclusive": 0,
              "allInclusive": 0
            },
            "rebateExtraBed": {
              "exclusive": 0,
              "allInclusive": 0
            },
            "cashBackTotal": null,
            "cashBackExtraBed": null,
            "displayTotal": {
              "exclusive": 678756,
              "allInclusive": 848060
            },
            "displayAfterCashback": null,
            "pseudoCoupon": {
              "exclusive": 127450,
              "allInclusive": 127450
            },
            "originalTotal": {
              "exclusive": 806206,
              "allInclusive": 975510
            },
            "payToAgoda": {
              "exclusive": 678756,
              "allInclusive": 848060
            },
            "payAtHotel": {
              "exclusive": 0,
              "allInclusive": 0
            },
            "ignoreDownliftAmount": {
              "exclusive": 127450,
              "allInclusive": 127450
            },
            "autoAppliedPromoDiscount": "",
            "loyaltyOffersSummary": {
              "basePrice": {
                "exclusive": 678756,
                "allInclusive": 848060
              },
              "offers": [],
              "status": null
            },
            "httpResponseHeaders": null
          },
          "pricing": {
            "crossedOutPrice": null,
            "displayPrice": null,
            "discountPercent": 34,
            "crossedOut": {
              "value": 1027884,
              "currency": {
                "id": 25,
                "code": "idr"
              }
            },
            "corText": "The highest bookable price somebody paid to book this room type in the last year.",
            "finalPrice": {
              "value": 678756,
              "currency": {
                "id": 25,
                "code": "idr"
              }
            },
            "differentialPrice": null,
            "extraBedPrice": {
              "value": 0,
              "currency": {
                "id": 25,
                "code": "idr"
              }
            },
            "displayAfterCashback": null,
            "appPrice": {
              "value": 678756,
              "currency": {
                "id": 25,
                "code": "idr"
              }
            },
            "appPricePeek": {
              "appPrice": {
                "value": 678756,
                "currency": {
                  "id": 25,
                  "code": "idr"
                }
              },
              "isCashBackCouponApplied": false
            },
            "shadowRate": null,
            "totalSaving": null,
            "originalPrice": {
              "value": 806206,
              "currency": {
                "id": 25,
                "code": "idr"
              }
            },
            "exclusiveOriginalPrice": null,
            "packageOriginalPrice": null,
            "packageRatePrice": null,
            "breakdowns": {
              "total": [
                {
                  "type": 3,
                  "title": "",
                  "value": {
                    "value": 678756,
                    "currency": {
                      "id": 25,
                      "code": "idr"
                    }
                  },
                  "additionalInfo": null
                }
              ],
              "charges": [
                {
                  "type": 13,
                  "title": "",
                  "value": {
                    "value": 806206,
                    "currency": {
                      "id": 25,
                      "code": "idr"
                    }
                  },
                  "additionalInfo": null
                },
                {
                  "type": 14,
                  "title": "",
                  "value": {
                    "value": -127450,
                    "currency": {
                      "id": 25,
                      "code": "idr"
                    }
                  },
                  "additionalInfo": null
                }
              ],
              "disclaimerMessage": ""
            },
            "chargeSummary": {
              "includedCharge": [],
              "excludedCharge": [
                {
                  "type": null,
                  "description": "Tax",
                  "chargeAmount": {
                    "value": 80621,
                    "currency": {
                      "id": 25,
                      "code": "idr"
                    }
                  },
                  "percentage": 0
                },
                {
                  "type": null,
                  "description": "Service charge",
                  "chargeAmount": {
                    "value": 88683,
                    "currency": {
                      "id": 25,
                      "code": "idr"
                    }
                  },
                  "percentage": 0
                }
              ]
            },
            "propertySupplierAmount": null,
            "propertySupplierUpliftAmount": null,
            "cartPrice": null,
            "breakfastUpSell": null,
            "cancellationUpSell": null,
            "breakfastWithCancellationUpSell": null,
            "promotionsCumulative": null,
            "longStay": null,
            "roomTaxAndFeeWithAllChargesPRPN": 169304,
            "externalLoyalty": null,
            "priceStatus": 0,
            "availabilityStatus": 0,
            "priceBreakdownPerOccupancy": null,
            "breakfastPrices": {
              "roomBreakfastPrice": {
                "value": 0,
                "currency": {
                  "id": 25,
                  "code": "idr"
                }
              },
              "hotelBreakfastPrice": {
                "value": 217000,
                "currency": {
                  "id": 25,
                  "code": "idr"
                }
              }
            },
            "allInclusivePerRoomPerNight": null
          }
        },
        "cancellation_policy_details": {
          "titleTemplate": {
            "template": "Non-refundable (Low price!)"
          },
          "cancellationCode": "365D100P_100P",
          "description": "This special offer includes an extra-low price, but cannot be amended or cancelled. In case of a no-show, the property will not refund the booking. If you're sure of your travel dates, you can take advantage of this special offer! This booking is Non-Refundable and cannot be amended or modified. Failure to arrive at your hotel or property will be treated as a No-Show and will incur a charge of 100% of the booking value (Hotel policy). This booking is Non-Refundable and cannot be amended or modified. Failure to arrive at your hotel or property will be treated as a No-Show and will incur a charge of 100% of the booking value (Hotel policy)."
        },
        "room_image_url": [
          "https://pix8.agoda.net/property/7575/295258709/6d339a7e848fe2a71df2b471b1de56b8.jpeg?ce=2&s=414x232&ar=16x9",
          "https://pix8.agoda.net/hotelImages/7575/952933656/ff6b4dea70eb619054052775e4ce5b35.jpg?ce=0&s=414x232&ar=16x9",
          "https://q-xx.bstatic.com/xdata/images/hotel/max500/43665138.jpg?k=1bec2db5cf3ff819e755b81b1a41a434fe683f9998bce4fffa3f78484e94eeac&o=",
          "https://q-xx.bstatic.com/xdata/images/hotel/max500/604781969.jpg?k=46162fd104a6081120879edc8db615016031393bb9f35915c47a3b94d38b909b&o=",
          "https://q-xx.bstatic.com/xdata/images/hotel/max500/43665139.jpg?k=c94a4c0e90460562e84b0e5455f78bb370f3a0a8879e2d6136a5cc193c402107&o=",
          "https://q-xx.bstatic.com/xdata/images/hotel/max500/44532830.jpg?k=68718a65c2b5c1cb0204ef9f509fe5c7b66e33ea5022fce08c3dd3a496cd49ff&o="
        ],
        "bed_type": "twin-bed",
        "rate_channel_id": 3961,
        "supplier_id": 3038,
        "features": [
          {
            "name": "size",
            "text": "43 m²/463 ft²",
            "symbol": "sqm"
          },
          {
            "name": "view",
            "text": "City view",
            "symbol": "views"
          },
          {
            "name": "non-smoking-room",
            "text": "Non-smoking",
            "symbol": "non-smoking-room"
          },
          {
            "name": "shower",
            "text": "Shower",
            "symbol": "shower"
          },
          {
            "name": "separate-shower-and-tub",
            "text": "Separate shower/bathtub",
            "symbol": "separate-shower-and-tub"
          },
          {
            "name": "bathtub",
            "text": "Bathtub",
            "symbol": "bathtub"
          },
          {
            "name": "room-size-sqm",
            "text": "43",
            "symbol": "room-size-sqm"
          },
          {
            "name": "room-size-sqft",
            "text": "463",
            "symbol": "room-size-sqft"
          }
        ]
      }
    ]
  }
}